Subject: Re: [MPC8272ADS]Cannot start my Linux Kernel

From: Daniel Ng99 <[email-masked]>
Date: Thu, 22 Jan 2009 16:21:46 -0800 (PST)

Scott Wood-2 wrote:
> 
> On Wed, Jan 21, 2009 at 06:15:26PM -0800, Daniel Ng99 wrote:
>> Adding 'clock-frequency = <0>;' to the brg node doesn't seem to make a
>> difference to my board's behaviour.
> 
> Try setting it to the actual BRG clock.
> 

My console runs at a baud rate of 115,200, so that means a BRGCLK of 35 for
a 66-MHz input clock (according to the PQ2 Reference Manual).

Then I realised u-boot reports the brg clock to be 33Mhz at boot-up:

MPC8247 Clock Configuration
 - Bus-to-Core Mult 5x, VCO Div 2, 60x Bus Freq  20-60 , Core Freq 100-300
 - dfbrg 1, corecnf 0x1b, busdf 7, cpmdf 1, plldf 0, pllmf 7, pcidf 7
 - vco_out  528000000, scc_clk  132000000, brg_clk   33000000
 - cpu_clk  330000000, cpm_clk  264000000, bus_clk   66000000

So maybe 35 x 2 = 70 is the correct value?

Anyway, I tried all these but still they made no difference:

clock-frequency = <35>
clock-frequency = <0x23>
clock-frequency = <115200>
clock-frequency = <1c200>
clock-frequency = <70>
clock-frequency = <17>
clock-frequency = <66>
clock-frequency = <33>

Can you suggest any other values? 

What is the effect of just not calling set_brg()? I still get console
output, so am I setting myself up for some sort of problem in the future?

What is the effect of setting "fsl,cpm-brg = <0>" in the 'serial' device
tree node?

-- 
View this message in context: http://www.nabble.com/-MPC8272ADS-Cannot-start-my-Linux-Kernel-tp21476017p21616515.html
Sent from the linuxppc-dev mailing list archive at Nabble.com.